Internal TCP functions
TCP helper functions
Collaboration diagram for Internal TCP functions:

## Functions

void | nfq_tcp_compute_checksum_ipv4 (struct tcphdr *tcph, struct iphdr *iph)
void | nfq_tcp_compute_checksum_ipv6 (struct tcphdr *tcph, struct ip6_hdr *ip6h)

## Detailed Description

Most user-space programs will never need these.

## Function Documentation

## nfq_tcp_compute_checksum_ipv4()

void nfq_tcp_compute_checksum_ipv4 | ( | struct tcphdr * | tcph,
|  | struct iphdr * | iph )

nfq_tcp_compute_checksum_ipv4 - computes IPv4/TCP packet checksum

Parameters

  tcph | pointer to the TCP header
  iph | pointer to the IPv4 header

Note
  nfq_tcp_mangle_ipv4() invokes this function. As long as developers always use nfq_tcp_mangle_ipv4 when changing the content of a TCP message, there is no need to call nfq_tcp_compute_checksum_ipv4.

Definition at line 108 of file tcp.c.

## nfq_tcp_compute_checksum_ipv6()

void nfq_tcp_compute_checksum_ipv6 | ( | struct tcphdr * | tcph,
|  | struct ip6_hdr * | ip6h )

nfq_tcp_compute_checksum_ipv6 - computes IPv6/TCP packet checksum

Parameters

  tcph | pointer to the TCP header
  ip6h | pointer to the IPv6 header

Note
  nfq_tcp_mangle_ipv6() invokes this function. As long as developers always use nfq_tcp_mangle_ipv6 when changing the content of a TCP message, there is no need to call nfq_tcp_compute_checksum_ipv6.

Definition at line 126 of file tcp.c.